summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-04-10 16:22:01 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-04-10 17:43:20 -0500
commit9345fba6e41364761758cd480d66cc736539d656 (patch)
tree87fcc2f50bb824f54a39e2cd5d34d387f25b18c8 /dev-python
parentsys-apps/collectl: amd64 stable wrt bug #678516 (diff)
downloadgentoo-9345fba6e41364761758cd480d66cc736539d656.tar.gz
gentoo-9345fba6e41364761758cd480d66cc736539d656.tar.bz2
gentoo-9345fba6e41364761758cd480d66cc736539d656.zip
dev-python/decorator: 4.3.2 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/decorator/Manifest1
-rw-r--r--dev-python/decorator/decorator-4.3.2.ebuild24
2 files changed, 25 insertions, 0 deletions
diff --git a/dev-python/decorator/Manifest b/dev-python/decorator/Manifest
index 09743d13457..e43613628b8 100644
--- a/dev-python/decorator/Manifest
+++ b/dev-python/decorator/Manifest
@@ -1,3 +1,4 @@
DIST decorator-4.1.2.tar.gz 32325 BLAKE2B 19754506bf18f03748d61fe3cf85e13e91f5a7b4b3550cf087b1c9506fa2d10a4fb6c32914f7c2078a74ac34f5ffaf0edf8b15aa1f46d2eafa91926c40430dba SHA512 4a4b9dc39de9b3f00eae9b6829136f5d836355d3d719371440f69c33fdddf73636e9faaa8fc35829c64d5c5a61d968ea427267da944c524c22ad08b69fb6f0ff
DIST decorator-4.2.1.tar.gz 33376 BLAKE2B 29a03fb4af1de8c60c5ba4a4b30f59f8b1aa8bbde107b9d5719cc0a084c45b58f7e14ff2046d7247c43d57717db57aea0db52dc068d73a73188a0e022c058cbb SHA512 8a6fc53f830470fe15d4bf9dfe8cea434019aa2e1734e55f873dc617138a6ba75d63ddf50a3fcd21a8f67d9d1b19c35c75149d8cee157e909aff4873093c4e0e
DIST decorator-4.3.0.tar.gz 33758 BLAKE2B c967440ba18205233e5b032f22553cdc33dbec8a3c285407317d47910ce7dbc884c9802d1591f36a08b3f2adc5532145c92965946af81ad167735a5d0a65f047 SHA512 63894b12af62ad357638b99290c34c2207ba33813b6cd8ed554236ef45a091f337b6eeee829b2af82f2e71699902e49aff49acfa22d5449a7833ba382cda2751
+DIST decorator-4.3.2.tar.gz 34892 BLAKE2B 49485ec0ae25947b27dbc23c8f17194bf5b03778e7e43524e561c320487e1b6830a1ab39e9fba2a154e1cd00155af779965e497724f01d81d301a0ca979ba058 SHA512 87102e1b314086d008c48bf53f1061b28fdbd3ccd3d301773102fd43e3a4ce8b5ffeb9107fb5d5f47b7bd45c26e5b3b2913ea20745ffc9b274e2c0b24a69ef70
diff --git a/dev-python/decorator/decorator-4.3.2.ebuild b/dev-python/decorator/decorator-4.3.2.ebuild
new file mode 100644
index 00000000000..76c5d0afd15
--- /dev/null
+++ b/dev-python/decorator/decorator-4.3.2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simplifies the usage of decorators for the average programmer"
+HOMEPAGE="https://github.com/micheles/decorator https://pypi.org/project/decorator/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=( docs/README.rst )
+
+python_test() {
+ "${PYTHON}" src/tests/test.py || die "Tests fail with ${EPYTHON}"
+}